<template>
    <div class="AirQuality">
        <el-table
                class="tableBox"
                :data="tableData"
                :header-cell-style="tableHeaderColor"
                :cell-style="rowClass"
                border
        >
            <el-table-column
                    width="30px"
                    label=""
            >
                <template>
                    <i class="el-icon-caret-right"></i>
                    <span style="margin-left: 10px"></span>
                </template>
            </el-table-column>
            <el-table-column
                    label="序号"
                    width="60px"
                    type="index">
            </el-table-column>
            <el-table-column
                    prop="UserName"
                    label="企业名称"
                    width="120px">
            </el-table-column>
            <el-table-column
                    prop="AQI"
                    label="AQI"
                    width="200px">
            </el-table-column>
            <el-table-column
                    prop="MajorPollutant"
                    label="首要污染物 "
                    width="200px">
            </el-table-column>
            <el-table-column
                    prop="AirQualityCategory"
                    label="空气质量类别"
                    width="200px">
            </el-table-column>
            <el-table-column
                    prop="RegionalColor"
                    label="区域颜色"
                    width="200px">
            </el-table-column>
        </el-table>
    </div>
</template>

<script>
export default {
  name: 'AirQuality',
  data () {
    return {
      tableData: [{
        UserName: '集团名称',
        AQI: '',
        MajorPollutant: '',
        AirQualityCategory: '重度污染 五个',
        RegionalColor: ''
      }, {
        UserName: '北京石油',
        AQI: '152',
        MajorPollutant: '',
        AirQualityCategory: '中度污染',
        RegionalColor: '四级红色'
      }, {
        UserName: '天津石化',
        AQI: '105',
        MajorPollutant: '',
        AirQualityCategory: '轻度污染',
        RegionalColor: '三级橙色'
      }, {
        UserName: '贵州石油',
        AQI: '35',
        MajorPollutant: '',
        AirQualityCategory: '优',
        RegionalColor: '一级绿色'
      }]
    }
  },
  methods: {
    tableHeaderColor ({ row, column, owIndex, columnIndex }) {
      return 'background-color: rgba(26, 73, 81, 0.901960784313726);color:#fff;font-wight:500;font-size:12px;text-align:center;height:0px'
    },
    // 表头样式设置
    rowClass  () {
      return 'text-align: center;background-color: rgba(26, 73, 81, 0.901960784313726);color:#fff;width:64px'
    }
  }
}
</script>

<style scoped>

</style>
